using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LineEditor
{
    class help {
        public const string UsageHelp =
            " EDLIN.NET,   .\n\n"
            + "EDLIN [:][]_ ]\n\n";

        public const string MasterHelp = 
                 "?B      (Block command)\n"
               + "?F       (Find command)\n"
               + "_ -  (Edit line)  \n"
               +  "<_>, < > -   (Edit word)  \n"
               + "I[] -     q - (Insert)\n"
               + "IW[_], < > -   (Insert words)  \n"
               + "L[_][,_] -    (List)       \n"
               + "P[_][,_] -   (Page)\n"
               + "W -  (Write)\n"
               + "E     - (End)\n"
               + "Q    - (Quit)\n";

        public const string BlockHelp = 
                 "  \n"
               + "BA[_]      (Append)\n"
               + "BC[_],[_],_[, ]   (Copy)\n"
               + "BD[_][,_]   (Delete)\n"
               + "BM[_],[_],_    (Move)\n"
               + "BT[_ Ctrl+Z][:][]_ -   (Transfer)\n";

        public const string FindHelp = 
                 "FS [_][,_]  -  (Search)\n"
               + "FR [_][,_]CTRL+Z[][CTRL+Z] -  (Replace)\n";

        const string EdlinHelpDOS = 
                 "Edit line ()  _\n"
               + "Append ()         [_]A\n"
               + "Copy ()          [_],[_],_[,]C\n"
               + "Delete  ()          [_][,_]D\n"
               + "End ( )      E\n"
               + "Insert ()            []I\n"
               + "List (  )       [_][,_]L\n"
               + "Move                        [_],[_],_M\n"
               + "Page ( )     [_][,_]P\n"
               + "Quit (  ) Q\n"
               + "Replace ()            [_][,_][?]R[][CTRL+Z]\n"
               + "Search ()              [_][,_][?]S\n"
               + "Transfer ( )    [_]T[:][]_\n"
               + "Write (  )      [_]W\n";

        void ShowUsageHelp()
        {
            Console.WriteLine(UsageHelp);
        }

        void ShowEditHelp(string Command)
        {
            if (Command == "?")
               Console.WriteLine(
                 "Edit line ()  _\n"
               + "Append ()         [_]A\n"
               + "Copy ()          [_],[_],_[,]C\n"
               + "Delete  ()          [_][,_]D\n"
               + "End ( )      E\n"
               + "Insert ()            []I\n"
               + "List (  )       [_][,_]L\n"
               + "Move                        [_],[_],_M\n"
               + "Page ( )     [_][,_]P\n"
               + "Quit (  ) Q\n"
               + "Replace ()            [_][,_][?]R[][CTRL+Z]\n"
               + "Search ()              [_][,_][?]S\n"
               + "Transfer ( )    [_]T[:][]_\n"
               + "Write (  )      [_]W\n"
                );
        }
    }

    class edlin
    {
        const string NoSaveMessage = "  [Y()/N()]?";
        string[] lines;
        string FileName;

        public edlin(string FileNameForEdit)
        {
            FileName = FileNameForEdit;
        }

        void ReadFile()
        {
        }

        public void Edit()
        {
        }
    }

    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            if (args.Count() == 0) { 
                Console.WriteLine("    \n");
                return; 
            }
            if (args[0] == "/?" || args[0] == "?")
                Console.Write(help.UsageHelp);
            edlin e = new edlin(args[0]);
            e.Edit();
        }
    }
}
